I'm already a user of ~sedna presenter 4.1, how can upgrade to ~sedna presenter 5 and Presenter Cloud?



            To use ~sedna presenter with macOS Mojave  (10.14) you'll need a paid upgrade to version 5.
            License with a valid software maintenance plan are able to update directly to ~sedna presenter 5.

            Licenses before ~sedna presenter 4.1 are not upgradable anymore.
            In this case please contact our sales team, they will make you a good deal.
            Updated: 09 Nov 2018 03:33 PM
            Helpful?  
            Help us to make this article better
            0 0